### Method

# EBackend Backend get_online

since: 3.4

#### Declaration [src]

    gboolean
    e_backend_get_online (
      EBackend* backend
    )

#### Description [src]

Returns the online state of `backend`: `TRUE` if `backend` is online, `FALSE` if offline.

If the `EBackend:connectable` property is non-`NULL`, the `backend` will automatically determine whether the network service should be reachable, and hence whether the `backend` is `EBackend:online`. But subclasses may override the online state if, for example, a connection attempt fails.

Available since: 3.4

Gets property | `EBackend.Backend:online`

#### Return value

Type: `gboolean`

The online state.